> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/note-pin/36.-mutation-aggiungi-piu-commenti-alle-note-selezionate.md).

# 36. Mutation: aggiungi più "Commenti" alle "Note" selezionate

Questa mutation ti permette di aggiungere più Commenti alla Nota selezionata.

{% hint style="success" %}
La quantità massima di Commenti da salvare è 25.
{% endhint %}

* Un Commento può essere collegato al Campo tramite il suo identificatore univoco `fieldUuid` e alla Nota tramite `noteUuid`.
* Il contenuto del Commento può essere fornito usando l' `testo` attributo. Se il contenuto deve essere su più righe, l' `testo` attributo dovrebbe contenere una stringa con caratteri di nuova riga `\\n` per separare le righe. Per esempio: `"Prima riga. è qui\\nSeconda riga è qui.\\nTerza riga è qui."`.
* È possibile impostare una data e ora definita associata al commento usando l' `dataCreazione` attributo nel formato ISO8601.

La richiesta di esempio può essere trovata qui sotto:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Il 4° commento tra i multipli.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Il 5° commento tra i multipli.\\nLa seconda riga del commento.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    dataCreazione
    updatedDate
    testo
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/note-pin/36.-mutation-aggiungi-piu-commenti-alle-note-selezionate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
